// do not compile
// included by "eiuhr-<mcu>.c"

eiuhr_t eiuhr;

void eiuhr_beep (void)
{
	if (count.ms10.beep || !eiuhr.beeps)
		return;
		
	uint8_t p = 1+eiuhr.phase;	
	
	//    12345666
	// p  -_-_-___    on off on off on ooofffff 
	
	if (p == 2*BEEPS_PER_GROUP)	
	{
		eiuhr.beeps--;
		p = 0;
		count.ms10.beep = BEEP_PAUSE_10MS;
	}
	else
	{
		count.ms10.beep = BEEP_10MS;
	}
	
	eiuhr.phase = p;
    
    beeper (p & 1);
}

// turn off all LEDs
void eiuhr_aus (void)
{
	MAKE_OUT (PORT_A1);
	MAKE_OUT (PORT_A2);
	MAKE_OUT (PORT_A3);
	MAKE_OUT (PORT_A4);
	MAKE_OUT (PORT_A5);
	
	MAKE_OUT (PORT_K1);
	MAKE_OUT (PORT_K2);
	MAKE_OUT (PORT_K3);
	
	SET (PORT_K1);
	SET (PORT_K2);
	SET (PORT_K3);
	
	CLR (PORT_A1);
	CLR (PORT_A2);
	CLR (PORT_A3);
	CLR (PORT_A4);
	CLR (PORT_A5);
}
